quantlib-swig (1.34-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Apr 2024 06:58:59 -0500

quantlib-swig (1.33-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 23 Jan 2024 10:03:54 -0600

quantlib-swig (1.32-2) unstable; urgency=medium

  * debian/rules: Merge change by Adrian Bunk (re-enabling optimization
    and no longer treating mips64el specially) 		(Closes: #1054921)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Oct 2023 07:15:50 -0500

quantlib-swig (1.32-1.2304.1) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 ("lunar")

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Oct 2023 11:28:39 -0500

quantlib-swig (1.32-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Oct 2023 10:25:19 -0500

quantlib-swig (1.31.1-1) unstable; urgency=medium

  * New upstream release				(Closes: #1042040)

  * debian/control: Update Build-Depends to current QuantLib
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Jul 2023 18:20:24 -0500

quantlib-swig (1.30-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2023 06:42:08 -0500

quantlib-swig (1.30-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Apr 2023 18:38:36 -0500

quantlib-swig (1.29-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jan 2023 19:20:58 -0600

quantlib-swig (1.28-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Oct 2022 19:31:42 -0500

quantlib-swig (1.27-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Jul 2022 14:46:34 -0500

quantlib-swig (1.25-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jan 2022 06:21:18 -0600

quantlib-swig (1.24-1) unstable; urgency=medium

  * New upstream release				(closes: #997261)

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Oct 2021 16:37:11 -0500

quantlib-swig (1.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Oct 2020 19:53:43 -0500

quantlib-swig (1.19-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Build-Depends to current QuantLib
  * debian/compat: Increased to 11
  * debian/control: Increase versioned depends on debhelper accordingly
  * debian/rules: Include README.md instead of Readme.txt
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jul 2020 15:07:06 -0500

quantlib-swig (1.18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Mar 2020 21:54:09 -0500

quantlib-swig (1.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Dec 2019 08:22:00 -0600

quantlib-swig (1.16.1-1) unstable; urgency=medium

  * New upstream release [using same code, but updated Swig version to
    generate bindings]

  * debian/control: Switch Build-Depends: from python to python3 as the
    package was already python3-only			(Closes: #938324)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Aug 2019 19:28:21 -0500

quantlib-swig (1.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/control: Update Build-Depends to current QuantLib and Boost

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Aug 2019 06:44:18 -0500

quantlib-swig (1.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

  * debian/control: Update Build-Depends to current QuantLib and Boost

  * debian/rules: Changed to install NEWS.md and not NEWS.txt

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Feb 2019 07:09:07 -0600

quantlib-swig (1.14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Oct 2018 22:01:41 -0500

quantlib-swig (1.13-7) unstable; urgency=medium

  * debian/rules: Settings for mips64el same as other mips* architectures,
    with thanks to Adrian Bunk				(Closes: #909725)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Sep 2018 07:24:34 -0500

quantlib-swig (1.13-6) unstable; urgency=medium

  * debian/rules: Additional settings for hppa, plus cleanup. Thanks to
    John David Anglin for the -mlong-calls suggestion.	(Closes: #908408)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Sep 2018 18:14:47 -0500

quantlib-swig (1.13-5) unstable; urgency=medium

  [Michael Hudson-Doyle]
  * Build for all supported versions of Python 3. 

  [ Dirk Eddelbuettel ]
  * Applied patch by Michael

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Sep 2018 06:27:14 -0500

quantlib-swig (1.13-4) unstable; urgency=medium

  * debian/rules: Refine compilerflags for i386 (on amd64) and others

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Aug 2018 09:13:14 -0500

quantlib-swig (1.13-3) unstable; urgency=medium

  * debian/rules: Different try for i386 now hosted on amd64

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2018 14:20:06 -0500

quantlib-swig (1.13-2) unstable; urgency=medium

  * debian/rules: Add i386 hppa hurd-i386 kfreebsd-i386 m68k powerpc x32
    to list memory-challenged systems

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Aug 2018 11:20:40 -0500

quantlib-swig (1.13-1) unstable; urgency=medium

  * New upstream release

  * debian/rules: Call dh_python (thanks, Adrian Bunk)  (Closes: #905999)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Aug 2018 18:27:34 -0500

quantlib-swig (1.12-1) unstable; urgency=medium

  * New upstream release

  * debian/{control,rules}: Switched to python3 build

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Feb 2018 05:49:17 -0600

quantlib-swig (1.11-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version
  * debian/compat: Increase to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Oct 2017 07:06:54 -0500

quantlib-swig (1.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 May 2017 17:14:56 -0500

quantlib-swig (1.9-2) unstable; urgency=medium

  * debian/rules: Uncomment call to dh_md5sums		(Closes: #861333)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 11:52:14 -0500

quantlib-swig (1.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Nov 2016 20:21:55 -0600

quantlib-swig (1.8-2) unstable; urgency=medium

  * debian/rules: Apply patch by Daniel Knezevic to reduce memory use
    during compilation on mips{,el} to avoid FTBFS 	(Closes: #827979)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jun 2016 07:57:18 -0500

quantlib-swig (1.8-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2016 21:19:20 -0500

quantlib-swig (1.7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Dec 2015 17:07:24 -0600

quantlib-swig (1.6.1-2) unstable; urgency=low

  * debian/control: Add Build-Depends: on libquantlib0-dev (>= 1.6.2-) to
    ensure Depends: on libquantlib0v5

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Sep 2015 06:01:44 -0500

quantlib-swig (1.6.1-1) unstable; urgency=low

  * New upstream release
  
  * Rebuilt under g++ (>= 4:5.2)

  * debian/control: Added Build-Depends: for g++ (>= 4:5.2) and for
    libquantlib0-dev (>= 1.6.2) as QuantLib 1.6.2 was with this g++

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Sep 2015 20:32:55 -0500

quantlib-swig (1.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Jul 2015 07:26:26 -0500

quantlib-swig (1.5-2) unstable; urgency=low

  * debian/rules: Change for which platforms we dial down the optimization
                                                        (Closes: #779720)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Mar 2015 20:33:23 -0500

quantlib-swig (1.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 21:33:03 -0600

quantlib-swig (1.4-2) unstable; urgency=low

  * debian/rules: Applied (slightly modified) patch by Dejan Latinovic to
    add -mxgot to mips(el) compile flags 		(Closes: #772028)

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Dec 2014 03:05:21 -0600

quantlib-swig (1.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Mar 2014 21:29:34 -0600

quantlib-swig (1.3-3) unstable; urgency=low

  * debian/control: Remove Build-Depends on ruby1.9.1, ruby1.9.1-dev
  * debian/control: Remove entry for Ruby -- this segfaulted after the
    last change and neither upstream nor myself had time to look into it
  * debian/rules: Comment out Ruby build		(Closes: #739778)  
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Feb 2014 07:41:19 -0600

quantlib-swig (1.3-2) unstable; urgency=low

  * SWIG/linearalgebra.i: Applied patch kindly supplied by Christian
    Hofstaedtler to permit building under Ruby 1.9.1
  * Ruby/setup.rb: Idem
  
  * debian/control: Update Build-Depends: to ruby-1.9.1 (Closes: #733105)
  * debian/rules: For now, disable unit test for Ruby as it too needs an
    update for Ruby 1.9.1

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Dec 2013 19:01:08 -0600

quantlib-swig (1.3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current QuantLib version 

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Sep 2013 14:18:33 -0500

quantlib-swig (1.2-2) unstable; urgency=low

  * debian/control: Reduce Build-Depends from 'ruby, ruby1.8, ruby1.8-dev'
    to just 'ruby1.8, ruby1.8-dev' as the package does not currently build
    with Ruby 1.9 					(Closes: #676112)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Jun 2012 18:48:42 -0500

quantlib-swig (1.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 31 Mar 2012 09:55:48 -0500

quantlib-swig (1.1-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 May 2011 20:03:51 -0500

quantlib-swig (1.1~20110503-1) unstable; urgency=low

  * First beta release for QuantLib 1.1

  * debian/rules: Removed -fpermissive; new upstream code corrected

  * debian/rules: Corrected 'python setup.py install' arguments
  							(Closes: #625946)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 May 2011 14:21:41 -0500

quantlib-swig (1.0.0-3) unstable; urgency=low

  * debian/rules: Use -fpermissive on all architectures

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 May 2011 21:19:45 -0500

quantlib-swig (1.0.0-2) unstable; urgency=low

  * debian/*: Updated to use new dh_python2 scheme	 (Closes: #617050)
  * debian/control: Remove Build-Depends: on python-central

  * debian/control: Set Standards-Version: to current version 

  * debian/rules: Added -fpermissive to compilerflag to make g++ 4.6 happy
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 May 2011 20:52:41 -0500

quantlib-swig (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Feb 2010 21:47:52 -0600

quantlib-swig (1.0.0~20100209-1) unstable; urgency=low

  * Third beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Feb 2010 15:39:53 -0600

quantlib-swig (1.0.0~20100125-1) unstable; urgency=low

  * Second beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jan 2010 18:39:30 -0600

quantlib-swig (1.0.0~20100112-1) unstable; urgency=low

  * First beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Jan 2010 17:07:38 -0600

quantlib-swig (0.9.9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated Standards-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Dec 2009 17:01:53 -0600

quantlib-swig (0.9.7-4) unstable; urgency=low

  * debian/rules: Re-enable support for Ruby following a short debugging 
    session with upstream (thanks, Luigi!).  Turns out that we simply need 
    to run configure to create a Makefile even though none of several dozen
    prior releases needed this.
  * debian/control: Added 'ruby, ruby1.8, ruby1.8-dev' back to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Jul 2009 06:28:57 -0500

quantlib-swig (0.9.7-3) unstable; urgency=low

  * debian/rules: Apply patch to support --install-layout=deb switch
    for the Python 2.6 transition			(Closes: #533107)

  * debian/rules:  No longer build the ruby variant as the builds is broken
    with newer packages (see bug report #533122). 
  * debian/control: Remove quantlib-ruby section, adjust Build-Depends:
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Jun 2009 17:19:03 -0500

quantlib-swig (0.9.7-2) unstable; urgency=low

  * Rebuilt against newer QuantLib to reflect updated Python libraries
							(Closes: #532825)

  * debian/control: Updated Standards-Version: to current value
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Jun 2009 19:48:05 -0500

quantlib-swig (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 12:45:27 -0600

quantlib-swig (0.9.6-1) unstable; urgency=low

  * New upstream release				(Closes: #494218)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Aug 2008 09:31:33 -0500

quantlib-swig (0.9.5~20080718-1) unstable; urgency=low

  * Release candidate for 0.9.5 as of 2008-07-18

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jul 2008 08:22:30 -0500

quantlib-swig (0.9.0-1) unstable; urgency=low

  * New upstream release 0.9.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Dec 2007 08:10:08 -0600

quantlib-swig (0.9.0~20071220-1) unstable; urgency=low

  * Release candidate for 0.9.0 as of 2007-12-20	(Closes: #456859)
  
  * debian/watch: Now uses sf.net redirector 		(Closes: #450357)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Dec 2007 19:29:05 -0600

quantlib-swig (0.8.0-4) unstable; urgency=low

  * debian/rules: PYTHON is the result of $(shell pyversions -d). Thanks, Joss!
  
  * debian/rules: Suppress 'no strict aliasing' compiler warning
  * debian/rules: No optim or debug on s390 + powerpc as buildds have low ram
  * debian/rules: Per Thiemo, use -O2 on mips + mipsel to prevent reloc. errors

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Oct 2007 14:43:19 -0500

quantlib-swig (0.8.0-3) unstable; urgency=low

  * debian/rules: PYTHON is now python2.5		(Closes: #445416)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Oct 2007 12:38:18 -0500

quantlib-swig (0.8.0-2) unstable; urgency=low

  * debian/rules: No longer impose '-O0 -g0' on mips/mipsel which should fix 
    to the FTBFS on these machine. Thanks for Thimo and Steve for waving the 
    cluebat at me.					(Closes: #419742)

  * debian/control: Reset Architecture: to 'any'
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jun 2007 17:28:13 -0500

quantlib-swig (0.8.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to 'libquantlib0-dev (>= 0.8.0-1)'
  
  * debian/control: Restrict Architecture: to 'alpha amd64 arm hppa i386 
    ia64 powerpc sparc' excluding mips and mipsel whose toolchain is currently 
    insufficient to build this

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 31 May 2007 11:40:40 -0500

quantlib-swig (0.8.0~20070525-1) unstable; urgency=low

  * Release candidate for 0.8.0 as of 2007-05-25
  * debian/control: Update Build-Depends: to 
    'libquantlib0-dev (>= 0.8.0~20070525)'

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 May 2007 20:21:05 -0500

quantlib-swig (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Mar 2007 08:01:54 -0500

quantlib-swig (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Update Build-Depends: to 'libquantlib0-dev (>= 0.4.0)'

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  1 Mar 2007 12:26:09 -0600

quantlib-swig (0.3.14-1) unstable; urgency=low

  * New upstream version released today
  * debian/control: Update Build-Depends: to 'libquantlib0-dev (>= 0.3.14)'

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  6 Nov 2006 21:34:59 -0600

quantlib-swig (0.3.13-3) unstable; urgency=low

  * debian/control: Really remove Build-Depends: on g++-4.0
  * debian/control: Updated Build-Depends: 'python-central (>= 0.5)' [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Sep 2006 20:03:07 -0500

quantlib-swig (0.3.13-2.1) unstable; urgency=low

  * NMU.
  * Do what the changelog says: Remove g++-4.0 from the build dependencies.

 -- Matthias Klose <doko@debian.org>  Tue,  5 Sep 2006 02:50:55 +0200
  
quantlib-swig (0.3.13-2) unstable; urgency=low

  * debian/control: Remove Build-Depends: on g++-4.0	(Closes: #385823)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  3 Sep 2006 06:51:02 -0500

quantlib-swig (0.3.13-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 31 Jul 2006 20:21:40 -0500

quantlib-swig (0.3.12-2) unstable; urgency=low

  * Updated for the New Python Policy 	
  * debian/control:
    - new fields XS-Python-Version and XB-Python-Version
    - added ${python:Depends} to Depends:
    - added python-central to Build-Depends:
    - updated versioned Depends and Build-Depends:
    - added Provides: ${python:Provides} 
  * debian/rules: Added dh_pycentral call

  * debian/control: Upgraded Standards-Version to 3.7.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Jun 2006 21:03:59 -0500

quantlib-swig (0.3.12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Description reworded as Swig interface may not cover
    the entire set of functions provided at the C++ level
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Mar 2006 16:19:35 -0600

quantlib-swig (0.3.11-3+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild against libquantlib-0.3.11c2a

 -- Debian/i386 Build Daemon <buildd_i386-cyberhq>  Sat,  3 Dec 2005 15:57:19 -0800

quantlib-swig (0.3.11-3) unstable; urgency=low

  * Rebuilt with new g++ for libstdc++ allocator transition
  * debian/control: Added Build-Depends g++-4.0 (>= 4.0.2-4) and
    updated the one for libquantlib0-dev to (>= 0.3.11-2) 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Nov 2005 19:26:52 -0600

quantlib-swig (0.3.11-2) unstable; urgency=low

  * debian/rules: Disable regression tests if not on i386 (Closes: #336862)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  1 Nov 2005 13:03:26 -0600

quantlib-swig (0.3.11-1) unstable; urgency=low

  * New upstream release

  * This release corresponds to a new upstream source packaging scheme
    that is comprising both the former Debian packages quantlib-python and
    quantlib-ruby -- as well as Swig bindings for Guile, MzScheme, Perl,
    Java, Csharp which have not yet been covered for Debian.

  * As this continues the quantlib-python package, we extend the exiting 
    changelog.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2005 13:35:52 -0500

quantlib-python (0.3.10-2) unstable; urgency=low

  * debian/control: Upgraded Build-Depends: for Boost libraries to 1.33.0-1

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 14 Oct 2005 19:58:55 -0500

quantlib-python (0.3.10-1) unstable; urgency=low

  * New upstream release

  * Following the first gcc/g++ 4.0 release of QuantLib
  * debian/control: Update Build-Depends: to gcc (>= 4:4.0), g++ (>= 4:4.0),
    libboost-dev (>= 1.32.0+1.33.0-cvs20050727), 
    libboost-test-dev (>= 1.32.0+1.33.0-cvs20050727), 
    libquantlib0-dev (>= 0.3.10)
  
  * debian/control: Update Standards-Version: to 3.6.2.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jul 2005 23:04:25 -0500

quantlib-python (0.3.9-3) unstable; urgency=medium

  * Rebuilt again under QuantLib 0.3.9-3 with renamed libquantlib
  * debian/control: Update Build-Depends to libquantlib0-dev (>= 0.3.9-3)

  * Urgency set to medium to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2005 23:41:23 -0500

quantlib-python (0.3.9-2) unstable; urgency=medium

  * Rebuilt under QuantLib 0.3.9-2 with its improved shlibs file
  * debian/control: Update Build-Depends to libquantlib0-dev (>= 0.3.9-2)

  * debian/rules: Also use '-O0 -g0' flags on mips and mipsel 
  
  * Urgency set to medium to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 May 2005 21:24:02 -0500

quantlib-python (0.3.9-1) unstable; urgency=low

  * New upstream release 0.3.9 announced today

  * tests/QuantLibTestSuite.py: Still commenting out call to 
    TermStructureTest + InstrumentTest as tests still hang during build

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 May 2005 21:55:40 -0500

quantlib-python (0.3.8.rc.20050407-1) unstable; urgency=low

  * Initial release candidate for 0.3.9 dated 2005-04-07 
  
  * debian/watch: Added watch file
  
  * debian/control: Build-Depends on QuantLib 0.3.9 release candidate

  * tests/QuantLibTestSuite.py: Still commenting out call to 
    TermStructureTest as tests continues to hang during build

  * debian/rules: Change how Swig files are installed into package
  
  * debian/rules: Changed to build for Python 2.4
  * debian/control: Change Build-Depends to python2.4-dev
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Apr 2005 22:27:39 -0500

quantlib-python (0.3.8-2) unstable; urgency=low

  * tests/QuantLibTestSuite.py: Back to also commenting out call to 
    InstrumentTest as it fails on non0i386 arches (Closes: #286995)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Dec 2004 08:38:07 -0600

quantlib-python (0.3.8-1) unstable; urgency=low

  * New upstream release 0.3.8 announced today
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.8)
  * tests/QuantLibTestSuite.py: Still commenting out call to 
    TermStructureTest as tests continues to hang during build

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Dec 2004 11:13:09 -0600

quantlib-python (0.3.7-1) unstable; urgency=low

  * New upstream release 0.3.7 (to be announced in the next few days)
  * debian/control: Standards-Version upgraded to 3.6.1.1
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.7)
  * debian/control: Also Depends: on python (Closes: #259132)
  * tests/QuantLibTestSuite.py: Still commenting out calls to 
    InstrumentTest, and TermStructureTest, as tests hangs during build

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jul 2004 21:59:15 -0500

quantlib-python (0.3.6.rc.20040611-1) unstable; urgency=low

  * Initial release candidate for 0.3.7 dates 2004-06-11
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.6.rc.20040611)
  * debian/control: Added Build-Depends for libboost-dev, libboost-regex-dev 
  
  * tests/QuantLibTestSuite.py: Per upstream suggestion, commented out 
    call to InstrumentTest, and TermStructureTest, as tests hangs 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Jun 2004 11:52:32 -0500

quantlib-python (0.3.6-1) unstable; urgency=low

  * New upstream release 0.3.6
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.6)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Apr 2004 21:21:42 -0500

quantlib-python (0.3.5-1) unstable; urgency=low

  * New upstream release 0.3.5 (final 'golden master')
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.5)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Mar 2004 19:12:28 -0600

quantlib-python (0.3.4.20040316-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.5 dated 2004-03-16
  * debian/control: Build-Depends on libquantlib0-dev (>= 0.3.4.20040316)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Mar 2004 14:46:25 -0600

quantlib-python (0.3.4-2) unstable; urgency=low

  * Upgraded to actual release 0.3.4 dated 2003-11-18

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Nov 2003 02:24:49 +0100

quantlib-python (0.3.4-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.4 
  * debian/control: Build-Depends upgraded to libquantlib0-dev (>= 0.3.4)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  6 Nov 2003 20:35:06 -0600

quantlib-python (0.3.3-1) unstable; urgency=low

  * Upgraded to new upstream version 0.3.3 (to be announced next week)
  * debian/control: Build-Depends upgraded to libquantlib0-dev (>= 0.3.3)
  * debian/control: Standards-Version upgraded to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Aug 2003 21:01:49 -0500

quantlib-python (0.3.2.20030727-3) unstable; urgency=low

  * debian/control: Better Depends on python2.3 via ${python:Depends}
  * debian/rules: Use dh_python before dh_installdeb
  * Thanks to Josselin for swinging with the clue bat (Closes: #207320)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Aug 2003 20:06:26 -0500

quantlib-python (0.3.2.20030727-2) unstable; urgency=low

  * The 'we all owe doko so I may as well do the python2.3 conversion' release
  * debian/rules: PYTHON changed to python2.3
  * debian/control: Build-Depends changed to python2.3-dev
  * debian/control: Depends changed to python 2.3 as well
  * debian/control: Standards-Version increased to 3.6.0.1

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Aug 2003 21:06:50 -0500

quantlib-python (0.3.2.20030727-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.3 dated 2003-07-27
    [ N.B.: there was no 0.3.2 release ]
  * debian/rules: Move files from usr/include/QuantLib-Python (instead
    of the former usr/share/QuantLib-Python) to usr/share/quantlib-python
  * debian/control: Section changed to python
  * debian/control: Standards-Version upgraded to 3.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  5 Aug 2003 20:38:18 -0500

quantlib-python (0.3.1-1) unstable; urgency=low

  * Upgraded to new upstream release 0.3.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jan 2003 20:44:00 -0600

quantlib-python (0.3.0.9.1-1) unstable; urgency=low

  * Upgraded to second 'golden master' pre-release of 0.3.1 
  * Renamed 0.3.0.9.1 to maintain package version sorting once 0.3.1 is out
  * debian/{rules,control}: No longer set g++ to 3.0 or 3.2 on different 
    platforms as gcc-3.2 (and g++-3.2) are now the default

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Jan 2003 19:18:54 -0600

quantlib-python (0.3.0.9-4) unstable; urgency=low

  * debian/rules: Set CXX as well as CC

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Dec 2002 10:54:56 -0600

quantlib-python (0.3.0.9-3) unstable; urgency=low

  * correct small snafus with last upload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Dec 2002 22:17:26 -0600

quantlib-python (0.3.0.9-2) unstable; urgency=low

  * debian/rules: Don't run 'make test' on m68k either as it times out
  * debian/{control, rules}: Use g++-3.2 for s390 as for QuantLib

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Dec 2002 09:25:31 -0600

quantlib-python (0.3.0.9-1) unstable; urgency=low

  * Upgraded to new 'golden master' pre-release of 0.3.1
  * Renamed 0.3.0.9 to maintain package version sorting once 0.3.1 is out
  * debian/control: Depends on python (>= 2.2) | python2.2

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Dec 2002 12:20:08 -0600

quantlib-python (0.3.0-4) unstable; urgency=low

  * debian/rules: Building against Python 2.2, so use PYTHON=python2.2
  * debian/control: Changed Build-Depends to python2.2-dev, and Depends to
    python (>= 2.2), python (<< 2.3)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2002 18:00:09 -0500

quantlib-python (0.3.0-3) unstable; urgency=low

  * debian/rules: Don't touch 'QuantLib/quantlib_wrap.cpp'
  * debian/rules: Skip errors in 'make test' (Closes: #142200, #142430)
  * setup.py: Don't need the CFLAGS treatment, distutils does that for us
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 May 2002 21:22:47 -0500

quantlib-python (0.3.0-2) unstable; urgency=low

  * setup.py: Small upstream patch to enable CFLAGS + CC to be passed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 May 2002 18:53:23 -0500

quantlib-python (0.3.0-1) unstable; urgency=low

  * Upgraded to new upstream release 0.3.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 May 2002 22:23:23 -0500

quantlib-python (0.2.1.cvs20020322-1) unstable; urgency=low

  * Upgraded to new upstream snapshot release 0.3.0b1-20020322

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2002 23:46:07 -0600

quantlib-python (0.2.1cvs20020120-2) unstable; urgency=low

  * debian/rules: Added -ffunction-sections to compile command for hppa
  * debian/control: Also Build-Depends on gcc-3.0 for ia64

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  1 Feb 2002 17:21:11 -0600

quantlib-python (0.2.1cvs20020120-1) unstable; urgency=low

  * Upgraded to new upstream snapshot release 3.0a5-20020120
  * Adapated version for proper Debian version number sorting
  * This upstream version now compiles on Alpha (Closes: #121698)
  * debian/rules: Don't run 'setup.py test' on arm (Closes: #130278)
  * debian/control: Depends on python (>= 2.1), python (<< 2.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Jan 2002 19:45:09 -0600

quantlib-python (0.2.1-2) unstable; urgency=low

  * debian/control: Build-Depends on libquantlib0-dev (>= 0.2.1)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Dec 2001 20:03:59 -0600

quantlib-python (0.2.1-1) unstable; urgency=low

  * Upgraded to new upstream release 0.2.1
  * debian/{rules,control}: Use g++-3.0 on ia64

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  3 Dec 2001 19:30:22 -0600

quantlib-python (0.2.0-3) unstable; urgency=low

  * debian/rules: Call setup.py with python2.1 (Closes: #119606)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Nov 2001 11:47:24 -0600

quantlib-python (0.2.0-2) unstable; urgency=low

  * Adapted Python Policy (as of version 0.3.7)
  * debian/control: (Build-)Depends python2.1(-dev) (Closes: #119224) 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Nov 2001 13:14:00 -0600

quantlib-python (0.2.0-1) unstable; urgency=low

  * Upgraded to new upstream release 0.2.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Sep 2001 21:32:29 -0500

quantlib-python (0.1.9-2) unstable; urgency=low

  * debian/control: Added more Build-Depends detected by dpkg-genbuilddeps
  * debian/control: Added python-distutils to Build-Depends (Closes: #103124)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Jul 2001 21:35:10 -0500

quantlib-python (0.1.9-1) unstable; urgency=low

  * Initial Debian release.

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jun 2001 09:33:25 -0500
